Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.mgmt
Class RuleType

    java.lang.Object
      |
      +--com.bea.commerce.ebusiness.discount.mgmt.RuleType

public final class RuleType
extends java.lang.Object

This class represents the two types of discount rules

See Also:
  `QualificationDiscountDef`

Field Summary
`static int` | `I_ITEM` The integer value for the item instance
`static int` | `I_ORDER` The integer value for the item instance
`static RuleType` | `ITEM` the item instance
`static RuleType` | `ORDER` the order instance
`static java.lang.String` | `S_ITEM` The string value for the item instance
`static java.lang.String` | `S_ORDER` The string value for the order instance

Method Summary
`boolean` | `equals(java.lang.Object object)` Compares the specified object to this object.
`int` | `getInt()` Returns the string value for this instance.
`static RuleType` | `getObject(java.lang.String token)`
`java.lang.String` | `getString()` Returns the string value for this instance.
`int` | `hashCode()` Returns a hashcode value for the object.
`java.lang.String` | `toString()` Returns a string value and the class name for the instance.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### I_ITEM

    public static final int I_ITEM

  The integer value for the item instance

### I_ORDER

    public static final int I_ORDER

  The integer value for the item instance

### ITEM

    public static final RuleType ITEM

  the item instance

### ORDER

    public static final RuleType ORDER

  the order instance

### S_ITEM

    public static final java.lang.String S_ITEM

  The string value for the item instance

### S_ORDER

    public static final java.lang.String S_ORDER

  The string value for the order instance

Method Detail

### toString

    public java.lang.String toString()

  Returns a string value and the class name for the instance. This method is intended for debugging and may change. Use the getString() method to obtain the string value of the object.

  Overrides:
    toString in class java.lang.Object

### getString

    public java.lang.String getString()

  Returns the string value for this instance.

### getInt

    public int getInt()

  Returns the string value for this instance.

### getObject

    public static RuleType getObject(java.lang.String token)

  Parameters:
    `token` - a string to match to a RuleType object
  Returns:
    the RuleType object that corrsponds to the specified string token.

### equals

    public boolean equals(java.lang.Object object)

  Compares the specified object to this object. If the specified object is identical to this object this method will return true. False will be returned otherwise.

  Overrides:
    equals in class java.lang.Object

### hashCode

    public int hashCode()

  Returns a hashcode value for the object.

  Overrides:
    hashCode in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved